Bug 511081 - Review Request: perl-accessors - Create accessor methods in caller's package
Review Request: perl-accessors - Create accessor methods in caller's package
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Rasmus Ory Nielsen
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F12VirtTarget 511094
  Show dependency treegraph
 
Reported: 2009-07-13 11:25 EDT by Daniel Berrange
Modified: 2009-07-19 06:21 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 05:42:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
ron: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Daniel Berrange 2009-07-13 11:25:42 EDT
Spec URL: http://berrange.fedorapeople.org/review/perl-accessors/perl-accessors.spec
SRPM URL:http://berrange.fedorapeople.org/review/perl-accessors/perl-accessors-1.01-1.fc11.src.rpm
Description: The accessors pragma lets you create simple accessors at compile-time.


This is a pre-requisite for the F12 VirtTCK feature  http://fedoraproject.org/wiki/Features/VirtTCK
Comment 1 Rasmus Ory Nielsen 2009-07-13 14:38:41 EDT
Package builds fine and rpmlint is silent.

* source files match upstream:
  sha256sum: 3a8db00f38148f3afadbe5330dc5490d9933f9cae137e842ec225a4d3adb2d9f
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* dist tag is present.
* build root is correct.
  Note, %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX) is
  preferred over the one used, see
  http://fedoraproject.org/wiki/Packaging/Guidelines#BuildRoot_tag
* license field matches the actual license.
* license is open source-compatible.
* license text not included upstream.
* latest version is being packaged.
* BuildRequires are proper.
* %clean is present.
* package builds in mock.
* package installs properly.
* rpmlint is silent.
* final provides and requires are sane:
  perl(accessors) = 1.01
  perl(accessors::chained) = 1.01
  perl(accessors::classic) = 1.01
  perl(accessors::ro) = 1.01
  perl(accessors::rw) = 1.01
  perl-accessors = 1.01-1.fc10
  ---
  perl >= 0:5.006
  perl(:MODULE_COMPAT_5.10.0)
  perl(base)
  perl(constant)
  perl(strict)
  perl(warnings::register)
* %check is present and all tests pass.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no scriptlets present.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.

APPROVED
Comment 2 Daniel Berrange 2009-07-13 14:58:06 EDT
New Package CVS Request
=======================
Package Name: perl-accessors
Short Description: Create accessor methods in caller's package
Owners: berrange
Branches: F-11
InitialCC: perl-sig
Comment 3 Kevin Fenzi 2009-07-14 00:42:42 EDT
cvs done.
Comment 4 Daniel Berrange 2009-07-14 05:42:29 EDT
Built into rawhide as perl-accessors-1.01-1.fc12
Comment 5 Fedora Update System 2009-07-14 05:56:19 EDT
perl-accessors-1.01-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/perl-accessors-1.01-1.fc11
Comment 6 Fedora Update System 2009-07-19 06:21:46 EDT
perl-accessors-1.01-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.